Bug 1124382 - Port ranges are not accepted when min > max
Summary: Port ranges are not accepted when min > max
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: iptables
Version: 22
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1017034
TreeView+ depends on / blocked
 
Reported: 2014-07-29 11:38 UTC by Jakub Jelen
Modified: 2016-08-03 10:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:52:00 UTC


Attachments (Terms of Use)

Description Jakub Jelen 2014-07-29 11:38:21 UTC
Description of problem:
According "man iptables-extensions", iptables should accept port ranges when min > max:
> If the first port is greater than the second one they will be swapped.

But if I try to run iptables with this port range, i got error:

# iptables -t filter -A INPUT -m tcp --sport 6500:6400 -j ACCEPT
iptables v1.4.21: invalid portrange (min > max)
Try `iptables -h' or 'iptables --help' for more information

I guess there is outdated documentation since c8f28cc8b84133f20421470e9a61a5a0c78b9c4a (2011-01-20).


Version-Release number of selected component (if applicable):
iptables-1.4.21-10.fc22.x86_64
but applicable to all current versions of Fedora and RHEL

How reproducible:
deterministic

Comment 1 Jiri Popelka 2014-07-29 11:56:32 UTC
(In reply to Jakub Jelen from comment #0)
> I guess there is outdated documentation since
> c8f28cc8b84133f20421470e9a61a5a0c78b9c4a (2011-01-20).

I think since
https://git.netfilter.org/iptables/commit/?id=d15fb34c777c10a67f8db2b6960bc094b3284fc5

Comment 2 Jaroslav Reznik 2015-03-03 16:09:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Mike McCune 2016-03-28 23:42:22 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 5 Fedora End Of Life 2016-07-19 20:52:00 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Jiri Popelka 2016-08-03 10:12:52 UTC
Fixed in iptables-1.6.0-1.fc25


Note You need to log in before you can comment on or make changes to this bug.